<?php

namespace FiloBlu\Rma\Plugin\Model;

use FiloBlu\Rma\Helper\ChangeSizeOrder;

class Order
{
    /**
     * @var ChangeSizeOrder
     */
    protected $changeSizeOrder;

    public function __construct(
        ChangeSizeOrder $changeSizeOrder
    )
    {
        $this->changeSizeOrder = $changeSizeOrder;
    }


    public function afterCanCreditmemo(\Magento\Sales\Model\Order $subject, $result)
    {
        if (!$this->changeSizeOrder->isChangeSizeOrder($subject)) {
            return $result;
        }

        if (!$result) {
            return true;
        }

        return $result;
    }
}
